Bug 114255 - function return problems
function return problems
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnomemeeting (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Reed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-25 08:53 EST by d.binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-22 11:10:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2004-01-25 08:53:17 EST
Description of problem:

I just tried to compile package gnomemeeting-0.98.5-1, from Redhat
Fedora Core 1.

The compiler said

1.

dialog.c:90: warning: no return statement in function returning non-void

The source code is

  va_end (args);
}

Clearly broken code.

2.

dialog.c(168): warning #117: non-void function
"gnomemeeting_warning_dialog_on_widget" should return a value

The source code is

  g_return_if_fail (widget != NULL);

3.

dialog.c(178): warning #117: non-void function
"gnomemeeting_warning_dialog_on_widget" should return a value

    return;

More problems with missing return expressions.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Daniel Reed 2004-05-21 14:04:41 EDT
Please reopen if you have similar complaints against the current
release, 1.0.2-2. Thanks.
Comment 2 d.binderman 2004-05-22 03:09:26 EDT
I don't know why I bother sometimes.

How about you or someone else at Redhat checking that this bug
is fixed in the latest release ?

I have no plans to download the latest release to check.
Comment 3 Daniel Reed 2004-05-22 11:10:17 EDT
Thank you for your time in this matter.

Note You need to log in before you can comment on or make changes to this bug.